<?php

namespace Onestartup\CrmForms\Controller;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Requests\RequestInterested;
use App\Http\Controllers\Controller;
use Yajra\Datatables\Datatables;
use App\Notifications\WelcomeInterested;
use App\Notifications\NewInterestd;
use App\Notifications\EmailInvalid;
use App\Interested;
use App\User;


class CrmFormsController extends Controller
{
    public function store(RequestInterested $request)
    {
        $user = User::find(1);

        if (config('crmforms.validate_email')) { //Se activa la opcion de validar emails por API


            $url = "https://apps.emaillistverify.com/api/verifyEmail?secret=".env('KEY_VERIFY')."&email=".$request->email;

            $client = new \GuzzleHttp\Client();
            $res = $client->request('GET', $url);
            $respuesta = $res->getBody();

             if ( $respuesta == 'ok') { //Si el correo es valido

                $interested = Interested::create($request->all());
                $interested->notify(new WelcomeInterested());
                $user->notify(new NewInterestd($interested));

             } else { // Si el correo no es valido

                $user->notify(new EmailInvalid($request->all()));

                return redirect()
                        ->back()
                        ->withInput()
                        ->with('fail', 'fail');

             }


        } else { // No se valida el correo por api, va directo a la bd


            $interested = Interested::create($request->all());
            $interested->notify(new WelcomeInterested());
            $user->notify(new NewInterestd($interested));

        }

    

        return redirect()->route('crmforms.redirect', $request->landing);
    }

    public function redirect($landing)
    {

        $view = 'crmforms-public::redirect.'.$landing;

        if(view()->exists($view)){ //Si existe una vista con el nombre de la landing dentro de la carpeta public del módulo

            return view($view)
                    ->with('registrado', 'registrado')
                    ->with('message_success', 'Hemos recibido tu solicitud, en breve nos comunicaremos contigo');

        } else { // Si no, ocupa la vista por default

             return view('crmforms-public::redirect.default')
                    ->with('registrado', 'registrado')
                    ->with('message_success', 'Hemos recibido tu solicitud, en breve nos comunicaremos contigo');
                    
        }
    }

}
